最新消息:VPS服务器又从fzhost.net换回Linode了,主题仍用朋友推荐的大前端D8

[研究]安装和使用Flask用Python 2还是Python 3

Flask crifan 169浏览 0评论

折腾:

[记录]CentOS服务器中为微信开发安装Flask服务器

期间,需要搞清楚:

去到远程CentOS服务器中安装Flask的话

是用Python 2.x,比如Python 2.6,2.7,还是Python 3

Installation — Flask Documentation (0.11)

Python 3 Support — Flask Documentation (0.11)

flask python 2 or 3

Python 3 支持 — Flask 0.10.1 文档

Python 3 Support — Flask Documentation (0.11)

Python 3 Support — Flask Documentation (0.10)

Python 3 Support — Flask Documentation (0.12-dev)

Python 2 or 3 best for Flask?:Python

前言 | Flask之旅

Is it best to use Python 2 or 3 for Flask? – Quora

给经验丰富的程序员的前言 — Flask 0.10.1 documentation

“Python 3 的状况

目前 Python 社区正处于改善库以对 Python 编程语言中迭代支持的进程中。尽管情况大大改善, 但还存在一些问题,因此使我们现在很难切换到 Python 3 上。 导致这些问题的一部分原因是语言中的变更长时间没有复查, 一部分也是因为我们没有找出低层 API 应该如何做出修改来适应 Python 3 中 Unicode 的差异。

一旦应对变更的解决方案出现,Werkzeug 和 Flask 就会立刻迁移到 Python 3,并且我们会提供升级现有应用到 Python 3 的提示。在那之前,我们强烈建议在开发时候使用 Python 2.6 和 2.7,并打开 Python 3 警告。 如果你计划在近期升级到 Python 3 ,我们强烈推荐你阅读 How to write forwards compatible Python code.”

[总结]

虽然Flask对于Python 2和Python 3的支持都很好了

但是Flask的扩展库,别人开发的库,很多都还是Python 2,不支持Python 3

-》为了安全,稳定起见,目前还是用Python 2靠谱。

-》未来,有一天,等大多数都第三方的库都支持Python 3之后,再去用Python 3.

转载请注明:在路上 » [研究]安装和使用Flask用Python 2还是Python 3

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
16 queries in 0.315 seconds, using 10.29MB memory